import { IField } from './IField';
import { IFieldBuilderComponent } from './IFieldBuilder';
import { IFieldOptionEditorComponent } from './IFieldOptionEditor';
import { IFieldInputComponent } from './IFieldInput';
import { IFieldDisplayComponent } from './IFieldDisplay';
export interface FieldRegistry {
    [type: string]: {
        field: IField;
        displayName: string;
        builder: IFieldBuilderComponent;
        input: IFieldInputComponent;
        display: IFieldDisplayComponent;
        editor?: IFieldOptionEditorComponent;
    };
}
